#!/system/bin/sh
if ! applypatch -c EMMC:/dev/block/platform/sdhci-tegra.3/by-name/SOS:6703104:64f3fa596dbe7692a064842c69458eb87990cc12; then
  log -t recovery "Installing new recovery image"
  applypatch -b /system/etc/recovery-resource.dat EMMC:/dev/block/platform/sdhci-tegra.3/by-name/LNX:6141952:be4a0bc1522b3f23b8819f74f86f935e3fade788 EMMC:/dev/block/platform/sdhci-tegra.3/by-name/SOS 64f3fa596dbe7692a064842c69458eb87990cc12 6703104 be4a0bc1522b3f23b8819f74f86f935e3fade788:/system/recovery-from-boot.p
else
  log -t recovery "Recovery image already installed"
fi
